<%@page import="com.rigabyte.http.user.AccessRistrictionUtil"%>

<%@ taglib uri="http://jawr.net/tags" prefix="jwr"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%
if(AccessRistrictionUtil.isSuperAdmin(request))
{
	pageContext.setAttribute("superAdmin",Boolean.TRUE);	
}
else
{
	pageContext.setAttribute("superAdmin",Boolean.FALSE);
}
%>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<jwr:script src="/jawr/common.js" />
<jwr:style src="/jawr/common.css" />
<jwr:style src="/jawr/adminBrowseData.css" />
<title>Admin <jsp:include page="../common/versionInfo.jsp"/></title>
</head>
<body>
<jsp:include page="header.jsp"/>
	<c:if test="${superAdmin==true}">
		<div id="tree">
			<div class="buttonHolder"></div>
			<div id="fileTree"></div>
		</div>
		<div id="editor">
			<div class="buttonHolder">
				<div class="buttons">
					<button id="saveJson">Save</button>
					<button id="deleteNode">Delete</button>
					<button id="backupNode">Backup</button>
					<button id="restoreNode">Restore</button>
				</div>
			</div>
			<div id="editorDataId"></div>
			<div id="jsonEditor"></div>
		</div>
		<jwr:script src="/jawr/adminBrowseData.js" />
	</c:if>
	<c:if test="${superAdmin==false}">
		Access not allowed.
	</c:if>

</body>
</html>


