<%@page import="com.rigabyte.data.util.Configuration"%>
<%@page import="com.rigabyte.http.SearchUserState"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@page import="com.rigabyte.perf.PerformanceMonitor"%>


<%
String organizationId=null;
Configuration configuration=Configuration.getInstance();
if(configuration.isSearchApplicationNode())
{
	OrganizationJson currentOrganization = UserManagerClient.getCurrentOrganization(request,false);
	organizationId=currentOrganization.getId();
	request.setAttribute("organizationId",organizationId);
}

%>
<html>
<head>


 <script src="/js/jquery-1.11.1.min.js"></script>
 <script src="/js/jquery-ui-1.11.2.custom/jquery-ui.min.js"></script> 
 <script src="/js/pnotify/pnotify.custom.min.js"></script> 
 
 
<link rel="stylesheet" type="text/css" href="/css/common.css">
<!-- DataTables CSS -->
<link rel="stylesheet" type="text/css" href="/js/DataTables-1.10.4/media/css/jquery.dataTables.css">

</head>
<body>
	<br /> PerformanceMonitor:
	<a href="/admin/monitor/performance.jsp?enabled=true">enable</a>
	<a href="/admin/monitor/performance.jsp?enabled=false">disable</a>
	<a href="/admin/monitor/performance.jsp?reset=true">reset</a>
	<br />
	<a href="/admin/monitor/performance.jsp">Refresh</a>
	<%
 String enabled=request.getParameter("enabled");
String reset=request.getParameter("reset");
if(reset!=null)
{
	if(reset.equals("true"))
	{
		PerformanceMonitor.reset();
	}
}

if(enabled!=null)
{
	if(enabled.equals("true"))
	{
		PerformanceMonitor.enable();
	}
	else if(enabled.equals("false"))
	{
		PerformanceMonitor.disable();
	}
}
	
  pageContext.setAttribute("perfStats",PerformanceMonitor.getPerformanceStats());

%>


	<table id="perfStat" class="display" width="100%" cellspacing="0">
		<thead>
			<tr>
				<th>Name</th>
				<th>TimeTaken</th>
				<th>Number of calls</th>
			</tr>
		</thead>
		<tbody>
			<c:forEach items="${perfStats}" var="item">
				<tr>
					<td>${item.name}</td>
					<td>${item.timeTaken}</td>
					<td>${item.numOperations}</td>
				</tr>
			</c:forEach>
		</tbody>
	</table>



<!-- DataTables -->
<script type="text/javascript" charset="utf8" src="/js/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>

	<script type="text/javascript">
		$(document).ready(function() {
			$('#perfStat').DataTable({
		        "paging":   false,
		        "ordering": true,
		        "info":     false,
		        "order": [[ 1, "desc" ]]
		    } );
		});
	</script>

</body>
</html>
