	//Class that handles all communications with the server.
	function AgentManager()
	{
		this.communicationsManager=new AgentCommunicationsManager();
	}

	
	AgentManager.prototype.initialize=function()
	{
		var agentManager=this;
		$('#testDataSent').click(function(event)
		{
			$('#testResults').hide();
			agentManager.sendTestData(agentManager);
		});
	};
	
	AgentManager.prototype.sendTestData=function(listener)
	{
		$.post('/datahub/?action=sendDataTest',{},listener.handleSendDataTestResponse);
	};

	AgentManager.prototype.handleSendDataTestResponse=function(responseData)
	{
		
		if(!responseData || responseData==null)
		{
			notifyUser("Error", "SendDataTest failed, look at the logs in the /logs/ folder for details.",5000, true);
		}
		else
			{
				if(responseData.error==true)
				{
					notifyUser("Error", "SendDataTest failed, look at the logs in the /logs/ folder for details. error:"+responseData.errorMessage,5000, true);
				}
				else
				{
					$('#testResults').show();
				}
			
			
			}
		
		
		
	};

	
	$(function(){
		
		var agentManager=new AgentManager(); 
		agentManager.initialize();
	});
	