<%@page import="java.util.List"%>
<%@page import="com.rigabyte.http.user.node.dashboard.DashboardUtil"%>
<%@page import="com.rigabyte.http.user.node.dashboard.client.DashboardManagerClient"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@page import="com.rigabyte.http.user.node.dashboard.json.DashboardChartAlertInfo"%>
<%@page import="com.rigabyte.http.user.node.dashboard.json.DashboardChartDataJson"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://jawr.net/tags" prefix="jwr" %>
<%@ taglib prefix="data" uri="dataTags"%>
<%

OrganizationJson currentOrganization=UserManagerClient.getCurrentOrganization(request,true);
String dashboardChartDataItemId=request.getParameter("itemId");
DashboardChartDataJson dashChartDataJson=DashboardManagerClient.getDashboardChartDataJson(dashboardChartDataItemId,currentOrganization.getId());
List<DashboardChartAlertInfo> alertInfos=DashboardManagerClient.getDashboardChartAlertInfo(dashChartDataJson);
pageContext.setAttribute("chartInfoAlerts",alertInfos);
%>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<jsp:include page="../common/staticIncludes_css.jsp" />
<jwr:style src="/jawr/alerts.css"/>

<jsp:include page="../common/staticIncludes_js.jsp" />
<title>Dashboard Alerts</title>
<jsp:include page="/common/smoothPageLoad.jsp"/>

</head>
<body>
	<jsp:include page="/common/globalNavigation.jsp" />
	<div id="container">
	<div class="seperation"><span class="sepTitle">Dashboard Alerts</span></div>
	</div>
	<jwr:script src="/jawr/alerts.js"/>
	
	<c:forEach items="${chartInfoAlerts}" var="chartInfoAlert">
	<div class="chartInfoAlert" id="id${chartInfoAlert.chartDataJson.id}">
	<div class="chartInfo" style="background-color: ${chartInfoAlert.chartDataJson.metaDataMap['resultDataColor']}">
	<div class="chartInfoVal">
		${chartInfoAlert.chartDataJson.metaDataMap['chartInfoLabel']}
	</div>
	<div class="chartInfoVal">
		Results:${chartInfoAlert.chartDataJson.metaDataMap['resultCount']}
	</div>
	<div class="chartInfoVal">
		Data:${chartInfoAlert.chartDataJson.metaDataMap['indexName']}
	</div>
	<div class="chartInfoVal">
		Data:${chartInfoAlert.chartDataJson.metaDataMap['dataSourceInfoName']}
	</div>
	<div class="chartInfoVal">
		Field:${chartInfoAlert.chartDataJson.fieldDisplayName}
	</div>
	</div>
	<div class="alertInfo">
		<c:if test="${empty chartInfoAlert.alert}">
			<button class="addAlert">Add Alert</button>
		</c:if>
	
	</div>
	</div>
	
	
	</c:forEach>

</body>
</html>
