<%@ taglib uri="http://jawr.net/tags" prefix="jwr" %>
<%@ taglib prefix="data" uri="dataTags"%>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<!-- Force latest IE rendering engine or ChromeFrame if installed -->
<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><![endif]-->
<jsp:include page="../common/staticIncludes_css.jsp" />
<jsp:include page="../common/staticIncludes_js.jsp" />

<jwr:style src="/jawr/data.css"/>

<style type="text/css">
.ui-combobox { display: inline-block; margin: 0; margin-right: 1.8em; position: relative; }
.ui-combobox-input { padding: 0.2em; margin: 0; }
.ui-combobox-button { position: absolute; width: 1.8em !important; margin: 0; margin-left: -1px; top: 0; bottom: 0; }
.ui-combobox-button .ui-button-text { padding: 0em; }
.ui-combobox .ui-autocomplete { max-height: 10em; overflow-y: auto; overflow-x: hidden; }
</style>


<title>Data</title>

<jsp:include page="/common/smoothPageLoad.jsp"/>
</head>
<body>
	<jsp:include page="../common/globalNavigation.jsp" >
		<jsp:param value="data" name="menu"/>
	</jsp:include>


	<div id="data_collection_list"><jsp:include page="dataCollectionList.jsp" />
	<jsp:include page="taskLists.jsp" />
	</div>

	<div id="file_selection_section">
		<div id="file_upload"><jsp:include page="fileUpload.jsp" /></div>
		<div id="file_selection"><jsp:include page="fileSelectionTree.jsp" />
		</div>

<div id="contactSupportContainer"></div>		



<div id="contactSupportContainer_dialog"></div>
		
	</div>



	<jsp:include page="../dialog/findPatternResultDialog.jsp" />
	<jsp:include page="../dialog/validateStartPatternDialog.jsp" />
	<jsp:include page="../dialog/dataCollectionNameDialog.jsp" />
	<jsp:include page="../dialog/configureFieldsForLogDialog.jsp" />

	
	<div id="newDataCollectionDialogHolder"></div>
	<div id="displayContentDialog"></div>
	<div id="generateSampleDataDialog"></div>
	
	<jwr:script src="/jawr/data.js"/>
	<jsp:include page="fileUploadJSIncludes.jsp" />
	
<data:cloud>
	<jsp:include page="/common/chatApplication.jsp"></jsp:include>
</data:cloud>
		
</body>

</html>


