<!-- The file upload form used as target for the file upload widget -->
<form id="fileupload" action="/upload" method="POST" enctype="multipart/form-data">
    <!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
    <div class="fileupload-buttonbar">
        <div class="fileupload-buttons">
            <!-- The fileinput-button span is used to style the file input field as button -->
            <span class="fileinput-button">
                <span>Upload files...</span>
                <input type="file" name="files[]" multiple>
            </span>
            <span class="zipMessage">Zip the files for speedier upload, .zip format is supported.</span>
        </div>
    </div>
    <!-- The table listing the files available for upload/download -->
    <table role="presentation" id="fileUploadTable"><tbody class="files"></tbody></table>
</form>
