<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.rigabyte.http.handler.log.NearByLogDataRequestHandler"%>
<%@page import="java.util.List"%>
<%@page import="com.rigabyte.http.NearbySearchDataSourceState"%>


<%

String chartInfoId=request.getParameter("chartInfoId");
List<NearbySearchDataSourceState> dataSources=NearByLogDataRequestHandler.getNearBySearchDataSourceState(chartInfoId,request);

pageContext.setAttribute("dataSources",dataSources);

%>


<style media="screen" type="text/css">
/*Css for add new data collection dialog*/
#nearByDSHeader
{
margin-bottom: 20px;
font-size: medium;
font-weight: bold;
}

.nearByDSName
{
	width:400px;
	height:30px;
	float: left;
	display: block;
}
.nearByDSNameCheck
{
	width:30px;
	height:30px;
	float: left;
	display: block;
}

#nearBySearchDialogButtons
{
	margin-top: 20px;
	float:right;
}
.nearyByCheck
{
	width:24px;
	height: 24px;
}
#near_by_search_selectall,#near_by_search_selectnone
{
height: 24px;
float: right;
font-size: small;
margin-bottom: 12px;
}
#near_by_search_ok,#near_by_search_cancel
{
height:40px;
width: 100px;
}
#nearByDSList
{
	height:400px;
    max-height:400px;
    overflow:auto;
	width: 100%;
}
</style>

<div>
	<div id="nearByDSHeader">Data Sources</div>
	<button id="near_by_search_selectnone">Uncheck all</button>
	<button id="near_by_search_selectall">check all</button>
	<div id="nearByDSList">	
	<c:forEach items="${dataSources}" var="item">
		<span class="nearByDSName">${item.dataSourceNameForDisplay}</span>
		<span class="nearByDSNameCheck">
			<c:if test="${item.selected==true}">
				<input type="checkbox" class="nearyByCheck" value="${item.dataSourceId}" checked="checked"/>
			</c:if>
			<c:if test="${item.selected==false}">
				<input type="checkbox" class="nearyByCheck"  value="${item.dataSourceId}"/>
			</c:if>
		</span>
	
	</c:forEach>
	</div>
	<div id="nearBySearchDialogButtons">
		<button id="near_by_search_ok">OK</button>
		<button id="near_by_search_cancel">Cancel</button>
	</div>
</div>