<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>
<%@page import="com.rigabyte.data.util.IndexUtil"%>
<%@page import="com.rigabyte.http.SearchUserState"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>
<%@page import="com.rigabyte.data.util.Configuration"%>
<%@page import="com.rigabyte.http.user.node.json.HostInfoJson"%>


<%
Configuration configuration=Configuration.getInstance();
String mainDataHubService=configuration.getMainDataHubService();

SearchUserState state=IndexUtil.getSearchUserState(request);
//Replace this to get information about the last 10 or 5 indexes.
OrganizationJson currentOrganization=UserManagerClient.getCurrentOrganization(request,false);
HostInfoJson hostInfoJson = currentOrganization.getDataHubs().get(0);
mainDataHubService=hostInfoJson.getHostName()+":"+hostInfoJson.getPort();
String orgId=currentOrganization.getId();

%>


<style media="screen" type="text/css">
/*Css for add new data collection dialog*/
</style>

<div id="getDataDialog">
	<div class="genDataInput">
		<label for="dataCollectionNameSample">Data Collection Name:</label> <input type="text" name="dataCollectionNameSample"  value="Sample Data1" maxlength="100"/>
	</div>
	<div class="genDataInput">
		<label for="organizationId">organizationId(optional):</label> <input type="text" name="organizationId" value="<%=orgId%>" maxlength="100"/>
	</div>
	<div class="genDataInput">
		<label for="numEntries">Number of entries:</label> <input type="text" name="numEntries" value="100000" maxlength="10"/>
	</div>
	<div class="genDataInput">
		<label for="delaySeed" title="A delay of 10ms with 100k entries would take about 16 minutes to generate.">Delay Seed(0-100):</label> <input type="text" name="delaySeed" value="4" maxlength="3" />
	</div>
	<div class="genDataInput">
		<label for="prefix" title="The prefix will be prepended to the generated data.">Prefix:</label> <input type="text" name="prefix" value="<%=orgId%> " maxlength="100"  />
	</div>
	<div class="genDataInput">
		<label for="dataSourceName" title="data source name used when generating data, ex:- productionApache1">DataSourceName:</label> <input type="text" name="dataSourceName" value="apache1" maxlength="40"  />
	</div>
	<div class="genDataInput">
		<label for="mainDataHubService" title="host:port of the data hub to which data is to be sent.">MainDataHubService:</label> <input type="text" name="mainDataHubService" value="<%=mainDataHubService%>" maxlength="100"  />
	</div>
	<div class="genDataInput">
		<label for="parseFields" title="Add parsed fields to the data or not.">Parse Fields:</label> <select name="parseFields">
			<option value="true">True</option>
			<option value="false">False</option>
		</select>
	</div>
	<div id="getDataButtons">
		<button id="add_sampleData_dialog">Add</button>
		<button id="cancel_sampleData_dialog">Cancel</button>
	</div>
</div>