	//Class that handles display of  data
	function FlaggedDataManager(communicationsManager,flaggedResultsDisplay)
	{
		this.communicationsManager=communicationsManager;
		this.flaggedActive=false;
		this.flaggedResultsDisplay=flaggedResultsDisplay;
	}

	
	
	FlaggedDataManager.prototype.initialize=function()
	{
	}
	
	
	FlaggedDataManager.prototype.isFlaggedActive=function()
	{
		return this.flaggedActive;
	}

	FlaggedDataManager.prototype.clearFlaggedData=function()
	{
		this.communicationsManager.clearFlaggedData(this);
		this.flaggedActive=false;
	}
	
	
	FlaggedDataManager.prototype.displayFlaggedData=function()
	{
		this.flaggedActive=true;
		this.communicationsManager.getFlaggedData(this);
	}

	FlaggedDataManager.prototype.flaggedDataHidden=function()
	{
		this.flaggedActive=false;
		$("#flagged21").removeClass('buttonSelected');
		$('#flaggedClear21').hide();
	}
	
	FlaggedDataManager.prototype.handleClearFlaggedDataResponse=function()
	{
		var flaggedDataManager=this;
		return function(response)
		{
			var dataDisplayManager=flaggedDataManager.flaggedResultsDisplay;
			dataDisplayManager.reloadCurrentLogData();
			flaggedDataManager.flaggedDataHidden();
			$("#flaggedText21").text('0');
		}
	}
	
	FlaggedDataManager.prototype.handleGetFlaggedDataResponse=function()
	{
		var flaggedDataManager=this;
		return function(response)
		{
			if(response.resultDataUnits.length>0)
			{
				flaggedDataManager.flaggedResultsDisplay.displayFlaggedResults(response);	
				$('#flaggedClear21').show();				
			}
			else
			{
				notifyUser("Message", 'No flagged entries.', 2000,false);
				flaggedDataManager.flaggedDataHidden();
			}
			
			
		};
		
	}