//Class that handles display of  data
	function PaginationManager()
	{
		this.initialized=false;
	}
	
	PaginationManager.prototype.paginateLogData=function(pageCount,textColor,onChangeHandler,chartDataIndex,startNumber)
	{
		$('#pagination1').css('visibility','visible');
		$('#pagination2').css('visibility','visible');

		if(startNumber=="undefined" || startNumber==0)
		{
			startNumber=1;
		}
			
			var paginationManager=this; 
			


			if(this.initialized==true)
			{
				var params={
						max_page:pageCount,
						current_page:startNumber,
						trigger:false
				};
				//The appears to be some bug at time where the current_page set on the pagination is not displayed. 
				//Making the call twice is a hack to get this to work. Have not investigated this more.
				$('#pagination1').jqPagination('option',params);
				$('#pagination2').jqPagination('option',params);
				$('#pagination1').jqPagination('option',params);
				$('#pagination2').jqPagination('option',params);
			}
			else
			{
				$('#pagination1').jqPagination({
					current_page:startNumber,
					max_page:pageCount,
					paged: function(page) {
						paginationManager.onChangeHandler(onChangeHandler,page);
				    },
				    trigger:false
				});
				
			$('#pagination2').jqPagination({
						current_page:startNumber,
						max_page:pageCount,
						paged: function(page) {
							paginationManager.onChangeHandler(onChangeHandler,page);
					    },
					    trigger:false
					});				
			}
			


			this.initialized=true;
			
			$('#pagination1 input').css('color',textColor);
			$('#pagination1 a').css('color',textColor);

			$('#pagination2 input').css('color',textColor);
			$('#pagination2 a').css('color',textColor);

			$('.next').css('background-color',textColor);
			
			this.paginationForChartDataIndex=chartDataIndex;

	};

	
	

	
		//Handler that gets called for onChange events for pagination.
	PaginationManager.prototype.setMaxPageCount=function(maxPage)
	{
		var params={
				max_page:maxPage,
				trigger:false
		};
		if($('#pagination1').length>0 && $('#pagination1').is(':visible'))
		{
			$('#pagination1').jqPagination('option', params);			
		}
		
		if($('#pagination2').length>0 && $('#pagination2').is(':visible'))
		{
			$('#pagination2').jqPagination('option', params);			
		}

	};
	
	
	//Handler that gets called for onChange events for pagination.
	PaginationManager.prototype.onChangeHandler=function(onChangeHandler,page)
	{
			onChangeHandler.handlePagenationChange(page);
	};


	PaginationManager.prototype.clearPagination=function()
	{
		$('#pagination1').hide();
		$('#pagination2').hide();
//		$('#pagination1').css('visibility','hidden');
//		$('#pagination2').css('visibility','hidden');
		this.paginationForChartDataIndex=-1;

	};

	PaginationManager.prototype.showPagination=function()
	{
		$('#pagination1').show();
		$('#pagination2').show();
		
//		$('#pagination1').css('display','block');
//		$('#pagination2').css('display','block');
		this.paginationForChartDataIndex=-1;
	};
	