 $(document).ready(function() {
	$("#global-menu-data").button();
	$("#global-menu-search").button();
	$("#global-menu-reports").button();
	$("#global-menu-dashboard").button();

	$(document).tooltip({
		position: { my: "left bottom", at: "top-20" }
	});
});

 
 //Used to add request parameter to a URL.
 function addParameter(url, parameterName, parameterValue){
	    replaceDuplicates = true;

	    if(url.indexOf('#') > 0){
	        var cl = url.indexOf('#');
	        urlhash = url.substring(url.indexOf('#'),url.length);
	    } else {
	        urlhash = '';
	        cl = url.length;
	    }

	    sourceUrl = url.substring(0,cl);

	    var urlParts = sourceUrl.split("?");
	    var newQueryString = "";

	    if (urlParts.length > 1)
	    {
	        var parameters = urlParts[1].split("&");
	        for (var i=0; (i < parameters.length); i++)
	        {
	            var parameterParts = parameters[i].split("=");
	            if (!(replaceDuplicates && parameterParts[0] == parameterName))
	            {
	                if (newQueryString == "")
	                    newQueryString = "?";
	                else
	                    newQueryString += "&";
	                newQueryString += parameterParts[0] + "=" + parameterParts[1];
	            }
	        }
	    }
	    if (newQueryString == "")
	        newQueryString = "?";
	    else
	        newQueryString += "&";
	    newQueryString += parameterName + "=" + parameterValue;

	    return urlParts[0] + newQueryString + urlhash;
	}

 //Used to get a lighter or darker shard of a color.
 function shadeRGBColor(color, percent) {
	    var f=color.split(","),t=percent<0?0:255,p=percent<0?percent*-1:percent,R=parseInt(f[0].slice(4)),G=parseInt(f[1]),B=parseInt(f[2]);
	    return "rgb("+(Math.round((t-R)*p)+R)+","+(Math.round((t-G)*p)+G)+","+(Math.round((t-B)*p)+B)+")";
	}

 function notifyUserSmall(message,delay)
 {
	 PNotify.prototype.options.delay=5000;
	 if(typeof delay != 'undefined')
	 {
		 PNotify.prototype.options.delay=delay;
	 }
	   var notice= new PNotify({
	        addclass: 'customPNotify',
	        text: message,
	        opacity:1,
	        height:'10px',
	        buttons: {
	        	closer: true,
	        	sticker: false
	        	}
	        });
	   
	   notice.get().click(function() {
		   notice.remove();
		   });
 }

function notifyUser(title,message,delay,error,animation)
 {
		PNotify.prototype.options.delay=delay;
		var icon='ui-icon-check';
		var ani='none';
		if(animation)
			{
				ani=animation;
			}
		
		var type='success';
		if(error==true)
			{
				type='error';
				icon='ui-icon-alert';
			}

		
	    var notice=new PNotify({
	        title: title,
	        addclass: "customPNotify",
	        text: message,
	        type:type,
	        icon: 'ui-icon '+icon,

	    });

 }

function isEmail(email) {
	  var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
	  return regex.test(email);
}

function getURLParameter(name)
{
 return decodeURI((RegExp(name+'='+'(.+?)(&|$)').exec(location.search)||[,null])[1]);

}

function replaceAll(find, replace, str) {
	  return str.replace(new RegExp(find, 'g'), replace);
}