	//Manager class that has responsibility of coordinating actions.
	function DisplayContentDialog()
	{
		this.logEntry=null;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: 1100,
				  minHeight:800,
				  resizable: false,
				  title:'Help'
			};
		$('#displayContentDialog').dialog(dialogOptions);
	};


	DisplayContentDialog.prototype.initialize=function ()
	{

	};
	
	DisplayContentDialog.prototype.hideDialog=function ()
	{
		$('#displayContentDialog').dialog('close');
	};
	
	DisplayContentDialog.prototype.showDialog=function (contentURL)
	{
		var displayContentDialog=this;
		$("#displayContentDialog").html("");
		$("#displayContentDialog").load(contentURL, function() {
			$(".helpCloseButton").one("click",function(event){
				displayContentDialog.hideDialog();
			});
		});

		
		$('#displayContentDialog').dialog('open');
	};
		
	DisplayContentDialog.prototype.setTitle=function (title)
	{
		$('#displayContentDialog').dialog('option','title',title);
	};
