	function AddEditAlertsDialog(communicationsManager,eventListener)
	{
		this.communicationsManager=communicationsManager;
		this.eventListener=eventListener;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: 840,
				  minHeight:200,
				  resizable: false
			};
		$('#addEditDialog').dialog(dialogOptions);
	};
	

	
	AddEditAlertsDialog.prototype.hideDialog=function ()
	{
		$('#addEditDialog').dialog('close');
	};

	AddEditAlertsDialog.prototype.handleCreateAlertResponse=function (params)
	{
		var addLogEntryToReportDialog=this;
		return function(response)
		{
			if(response.error==false)
			{
				notifyUser('Message','Alert Saved.',3000,false);
				window.location.reload();
			}
			else
			{
				notifyUser('Error',response.errorMessage,3000,true);	
			}
		};
	};



	AddEditAlertsDialog.prototype.showDialog=function (chartDataId,chartInfoId,edit)
	{
		
		this.chartDataId=chartDataId;
		this.chartInfoId=chartInfoId;
		var addLogEntryToReportDialog=this;
		$("#addEditDialog").html("");
		$("#addEditDialog").load('/dashboard/dialog/addEditAlertsDialog.jsp?chartdataId='+chartDataId+'&chartInfoId='+chartInfoId, function() {

			$('#cancel_alert').click(function(){
				addLogEntryToReportDialog.hideDialog();
			});

			$('#save_alert').click(function(){
				
				
				var comparsionType=$('#comparisonType option:selected').attr("value");
				var comparsionValue=$('#comparisonValue').val();
				var seconds=$('#seconds').val();
				var alertName=$('#alertName').val();
				
				
				if(comparsionValue && seconds)
				{
					if($.isNumeric(comparsionValue.trim()) && $.isNumeric(seconds.trim()))
					{
						addLogEntryToReportDialog.communicationsManager.createAlert(comparsionType,comparsionValue,seconds,chartDataId,chartInfoId,alertName,addLogEntryToReportDialog,edit);
					}else
					{
						notifyUser('Error','Enter numeric values.',3000,true);
					}
					
					
				}
				else
				{
					notifyUser('Error','values can not be empty.',3000,true);				
				}
			});
			

		});

		
		$('#addEditDialog').dialog('open');

	};
		
	
		