	//Manager class that has responsibility of coordinating actions.
	function DashChartDataSettingsDialog(communicationsManager,eventListener)
	{
		this.communicationsManager=communicationsManager;
		this.eventListener=eventListener;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: 480,
				  minHeight:280,
				  resizable: false
			};
		$('#dashChartDataSettingsDialog').dialog(dialogOptions);
	}
	

	DashChartDataSettingsDialog.prototype.initialize=function ()
	{

	};
	
	DashChartDataSettingsDialog.prototype.hideDialog=function ()
	{
		$('#dashChartDataSettingsDialog').dialog('close');
	};
	
	DashChartDataSettingsDialog.prototype.showDialog=function (dashChartDataId)
	{
		var dashChartDataSettingsDialog=this;
		$("#dashChartDataSettingsDialog").html("");
		$("#dashChartDataSettingsDialog").load('/dashboard/dialog/dashboardChartDataSettings.jsp?id='+dashChartDataId+'&report='+report, function() {
			$(this).dialog("option", "title","Dashboard Chart Data Settings");
			$("#save_cdsettings_button").click(dashChartDataSettingsDialog.handleSaveSettings(dashChartDataSettingsDialog,dashChartDataId));
		});

		
		$('#dashChartDataSettingsDialog').dialog('open');
	};
		
	DashChartDataSettingsDialog.prototype.handleSaveSettings=function (dashChartDataSettingsDialog,dashChartDataId)
	{
		return function(event) {
			
			var name=$('#dashBoardCDName_txt').val();
			var timePeriod=$('#timePeriod').val();
			dashChartDataSettingsDialog.hideDialog();
			dashChartDataSettingsDialog.communicationsManager.saveDashboardChartData(dashChartDataId,timePeriod,name,dashChartDataSettingsDialog);
			
			event.preventDefault();
		};
	};

	DashChartDataSettingsDialog.prototype.handleSaveSettingsResponse=function (dashChartDataSettingsDialog)
	{
		return function(data)
		{
			location.reload();	
		};
		
		
	};

	
		