	//Manager class that has responsibility of coordinating actions.
	function /**
	 * @author tingumr
	 *
	 */
	EditReportDialog(communicationsManager,eventListener,reportId)
	{
		this.communicationsManager=communicationsManager;
		this.eventListener=eventListener;
		this.reportId=reportId;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: 480,
				  minHeight:280,
				  resizable: false
			};
		$('#editReport_'+this.reportId).dialog(dialogOptions);
	}
	

	EditReportDialog.prototype.initialize=function ()
	{
		$("#edit_report_button_"+this.reportId).click(this.handleEditReport(this,this.reportId));
	};
	
	EditReportDialog.prototype.hideDialog=function (reportId)
	{
		$('#editReport_'+reportId).dialog('close');
	};
	
	EditReportDialog.prototype.showDialog=function (reportId)
	{
		$('#editReport_'+reportId).dialog('open');
	};
		
	EditReportDialog.prototype.handleEditReport=function (editReportDialog,reportId)
	{
		return function(event) {
			
			var name=$("#reportName_"+reportId).val();
			var description=$("#reportDescription_"+reportId).val();
			if(name==null || name ==="")
			{
					$("#repLabel").attr('class',"repLabel error");
					alert('svae');
			}
			else
			{
				editReportDialog.hideDialog(reportId);
				editReportDialog.communicationsManager.editReport(name,description,reportId,editReportDialog);
			}
			
			event.preventDefault();
		};
	};

	//Wait for edit report response.
	EditReportDialog.prototype.handleEditReportResponse=function (editReportDialog)
	{
		return function(jsonResponse)
		{
			document.location.reload(true);
		};
		
	};
	
	//Method called when edit button is clicked
	EditReportDialog.prototype.handleEditReportClick=function(editReportDialog,reportId)
	{
    	return function(event)
    	{
    		editReportDialog.showDialog(reportId);
    	};
		
	};

	
		