	function FindPatternResultDialog(communicationsManager,eventListener,repeatInterval)
	{
		this.findPatternResultRepeatInterval=repeatInterval;
		this.communicationsManager=communicationsManager;
		this.eventListener=eventListener;
		var windowWidth=$(window).width();
		windowWidth=windowWidth * 0.7;
		var windowHeight=$(window).height();
		windowHeight=windowHeight* 0.7;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: windowWidth,
				  minHeight:windowHeight,
				  resizable: false
			};
		$('#find_pattern_result_dialog').dialog(dialogOptions);
	}
	

	FindPatternResultDialog.prototype.initialize=function ()
	{
	
		//Change required to remove the X close button.
		$('#find_pattern_result_dialog').dialog({
			  open:function() {
			    $(this).parents(".ui-dialog:first").find(".ui-dialog-titlebar-close").remove();
			  }
			});
	};
	
	FindPatternResultDialog.prototype.hideDialog=function ()
	{
		$('#find_pattern_result_dialog').dialog('close');
	};
	
	FindPatternResultDialog.prototype.showDialog=function ()
	{
		$('#find_pattern_result_dialog').dialog('open');
	};
	
	FindPatternResultDialog.prototype.loadFindStartPatternResult=function ()
	{
		this.communicationsManager.loadFindStartPatternResult(this);
		
	};
	
	FindPatternResultDialog.prototype.loadFindStartPatternResultAfterTimeout=function ()
	{
		var findPatternResultDialog=this; 
		var timeOutFunction =function(){
			findPatternResultDialog.loadFindStartPatternResult();
		};
		//If the find start pattern is not complete.
		
		setTimeout(timeOutFunction,this.findPatternResultRepeatInterval);

	};
	
	FindPatternResultDialog.prototype.handleLoadFindStartPatternResult=function (findPatternResultDialog)
	{
		
		return function(data)
		{
		$('#find_pattern_result_data').empty();
		//$('#find_pattern_result_data').append('<div>'+data.numberOfFilesCompleted+'</div>');
		$.each(data.findStartPatternStateHolderList,function(i,holder)
				{
					//$('#find_pattern_result_data').append('<div>'+holder.filePath+' complete:'+holder.matchComplete+' pattern found:'+holder.matchSuccessful+'</div>');
					$('#find_pattern_result_data').append('<div class="find_pattern_filepath">'+holder.filePath+'</div>');
				});
		if(data.findStartPatternComplete=='false')
			{
			findPatternResultDialog.loadFindStartPatternResultAfterTimeout(this);
			}
		else
			{
				setTimeout(function(){
					findPatternResultDialog.hideDialog();
					$('#find_pattern_result_data').empty();
					var startPatternHolderForVerification=null;
					if(data.startPatternHolderIndexForVerification!=-1)
						{
							startPatternHolderForVerification=data.findStartPatternStateHolderList[data.startPatternHolderIndexForVerification];
						}
					findPatternResultDialog.eventListener.findPatternResultCompletedEventHandler(startPatternHolderForVerification,data);
				},findPatternResultDialog.findPatternResultRepeatInterval);

			}
		};
	};
	
	
	