	function GenerateSampleDataDialog(dataManager)
	{
		this.dataManager=dataManager;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: 580,
				  minHeight:320,
				  resizable: false
			};
		$('#generateSampleDataDialog').dialog(dialogOptions);
	}
	

	GenerateSampleDataDialog.prototype.initialize=function ()
	{

	};
	
	GenerateSampleDataDialog.prototype.hideDialog=function ()
	{
		$('#generateSampleDataDialog').dialog('close');
	};
	
	GenerateSampleDataDialog.prototype.showDialog=function ()
	{
		var generateSampleDataDialog=this;
		$("#generateSampleDataDialog").html("");
		$("#generateSampleDataDialog").load('/dialog/generateSampleDataDialog.jsp', function() {
			$(this).dialog("option", "title","Generate Sample Data");
			$("#add_sampleData_dialog").click(generateSampleDataDialog.handleGenerateSampleData(generateSampleDataDialog));
			$("#cancel_sampleData_dialog").click(generateSampleDataDialog.handleCancel(generateSampleDataDialog));
			
		});

		$('#generateSampleDataDialog').dialog('open');
	};
		
	GenerateSampleDataDialog.prototype.handleGenerateSampleData=function (generateSampleDataDialog)
	{
		return function(event) {
			
			var dataCollectionName=$('input[name="dataCollectionNameSample"]').val();
			var organizationId=$('input[name="organizationId"]').val();
			var numEntries=$('input[name="numEntries"]').val();
			var delaySeed=$('input[name="delaySeed"]').val();
			var prefix=$('input[name="prefix"]').val();
			var dataSourceName=$('input[name="dataSourceName"]').val();
			var mainDataHubService=$('input[name="mainDataHubService"]').val();
			var parseFields=$('select[name="parseFields"] option:selected').val();
			
			
			generateSampleDataDialog.dataManager.communicationsManager.addSampleDataToSearchEngine(numEntries,dataCollectionName,organizationId,delaySeed,parseFields,prefix,mainDataHubService,generateSampleDataDialog.dataManager,dataSourceName);
			
			generateSampleDataDialog.hideDialog();
			event.preventDefault();
		};
	};

	GenerateSampleDataDialog.prototype.handleCancel=function (generateSampleDataDialog)
	{
		return function(event) {
			
			generateSampleDataDialog.hideDialog();
			event.preventDefault();
		};
	};



	
		