//Manager class that has responsibility of coordinating actions.
function FileTreeManager()
{

}


FileTreeManager.prototype.initialize=function ()
{
	
	$('#fileTree').jstree({
		'core' : {
			"check_callback" : function(operation, node, parentNode, node_position, more) {
				
				if(parentNode.original && parentNode.original.typeRiga=='file')
					{
						return false;
					}
				
				if(more && more.dnd && more.pos !== 'i') { return false; }
				if(operation === "move_node" || operation === "copy_node") {
					console.log(this.get_node(node).parent+' '+this.get_node(parentNode).id);
					if(this.get_node(node).parent === this.get_node(parentNode).id) { return false; }
				}
				return true;
			},
			"data" : {
				"url" :'/data/?action=getTreeNode',
				"data" : function (node) {
					return { "id" : node.id };
				}
			},
			'themes' : {
				'responsive' : false,
				'stripes' : false
			}
		},
		"checkbox" : {
		      "keep_selected_style" : false
		},
		"dnd":{
			"drag_check": function(data){
				
			}
		
		},
		"plugins" : ["checkbox","dnd","unique"]
	});
	
	

};

$(document).ready(function() {
	var fileTreeManager=new FileTreeManager();
	fileTreeManager.initialize();
});



