<%@page import="java.util.List"%>
<%@page import="com.rigabyte.http.user.node.json.UserJson"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>
<%@page import="com.rigabyte.http.SearchUserState"%>
<%@page import="com.rigabyte.data.util.IndexUtil"%>
<%@page import="com.rigabyte.data.util.EncryptUtil"%>
<%@page import="com.rigabyte.http.user.node.json.HostInfoJson"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@page import="com.rigabyte.data.util.Configuration"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://jawr.net/tags" prefix="jwr" %>
<%@ taglib prefix="data" uri="dataTags"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<jsp:include page="../common/staticIncludes_css.jsp" />
<jsp:include page="../common/staticIncludes_js.jsp" />

<jwr:style src="/jawr/myaccount.css"/>		
<title>My Account</title>
<jsp:include page="/common/smoothPageLoad.jsp"/>
</head>

<%
SearchUserState state=IndexUtil.getSearchUserState(request);
UserJson user=UserManagerClient.getCurrentUser(request,false);
pageContext.setAttribute("currentUser", user);
OrganizationJson org1=UserManagerClient.getCurrentOrganization(request,false);
pageContext.setAttribute("organization", org1);
pageContext.setAttribute("authToken", EncryptUtil.getAuthToken(org1.getId()));
HostInfoJson hostInfoJson = org1.getDataHubs().get(0);
pageContext.setAttribute("mainDataHubHost",hostInfoJson);

%>

<body>
	<script type="text/javascript">
		<c:if test="${currentUser.anonymousUser==true}">
		window.location = '/user/login_register.jsp';
		</c:if>
	</script>

	<c:if test="${currentUser.anonymousUser==false}">

		<jsp:include page="../common/globalNavigation.jsp" />
<div class="seperation"><span class="sepTitle">My Account</span></div>
		<div id="container">
		<c:set var="style" value="float:none;"/>
		<%--Only admin users can see and change plans. --%>
		<c:if test="${currentUser.permissions.admin==true}">
			<c:set var="style" value=""/>
			<div id="plansContainer">
				<div id="plans">
					<div id="mycurrentplan">
						<img src="/images/myaccount/currentplanbg1.png" id="currentPlanImg"/>
					</div>
				<c:if test="${managedService==false || superAdmin==true}">
					<div id="availableplans">
						<img src="/images/myaccount/availableplanbg.jpg"  />
					</div>
				</c:if>
				</div>

				<c:if test="${superAdmin==true && managedService==true}">
					<div id="change_plan">
						<button id="changeplanbutton" type="submit">Change Plan</button>
					</div>
				</c:if>				
			</div>
		</c:if>

			<div id="accountInfoContainer" style="${style}">
				<jsp:include page="/user/adminUserButtons.jsp" />
				<input type="hidden" id="user_id_current" value="${currentUser.persistanceId}"/>
				<div id="userFormContainer">
				</div>
				<div id="extraInfoContainer" class="roundedBox">
					<label class="authTokenLabel"><b>Authentication Token:</b></label><span class="authTokenHelp" title="The Auth token is used if a Rigabyte Agent is used to send data, the auth token is configured on the agent."></span><div class="authTokenVal">${authToken}</div>
					<label class="authTokenLabel"><b>Main Data Hub Host:</b></label><span class="authTokenHelp" title="The mainDataHubHost is the host to which data is sent when a Rigabyte Agent is used for sending data."></span><div class="authTokenVal"><p>${mainDataHubHost.hostName}:${mainDataHubHost.port}</p></div>
				</div>
				<div id="contactSupportContainer">
				</div>
			</div>

		</div>

		<div id="customPlanDialog">
			<div id="sliderContainer">
				<form id="customPlanForm">
					<div id="uploadperdayContainer">
						<label for="dataPerDay">Upload per day</label> <select name="dataPerDay" id="dataPerDay">
						</select>
					</div>
					<div id="retainperiodContainer">
						<label for="retainPeriod">Retain data</label> <select name="retainPeriod" id="retainPeriod">
						</select>
					</div>
				</form>
			</div>
			<div id="priceContainer">
				<div id="cust_price"></div>
				<div id="permonth">Per month</div>
			</div>
			<div id="saveplanContainer">
				<div id="cancel">Cancel</div>
				<div id="savePlan">Save Plan</div>
			</div>
		</div>
	<jwr:script src="/jawr/myaccount.js"/>		
	</c:if>
<data:cloud>
	<jsp:include page="/common/chatApplication.jsp"></jsp:include>
</data:cloud>
	<jsp:include page="/common/footer.jsp"></jsp:include>
</body>
</html>

