#!/bin/bash
cd "$(dirname "$0")"
rm -rf tomcat.*
RIGABYTECLASSPATH=`sed '/^\#/d' run.conf | grep "$2_RIGABYTECLASSPATH"  | tail -n 1 | sed 's/^.*=//'`
RIGABYTEJVM=`sed '/^\#/d' run.conf | grep "$2_RIGABYTEJVM"  | tail -n 1 | sed 's/^.*=//'`
RIGABYTEDEBUGPORT=`sed '/^\#/d' run.conf | grep "$2_RIGABYTEDEBUGPORT"  | tail -n 1 | sed 's/^.*=//'`
RIGABYTEDEBUG="-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=$RIGABYTEDEBUGPORT"
RIGABYTEDEBUG=""

echo CLASSPATH=$RIGABYTECLASSPATH JVMARGS=$RIGABYTEDEBUG $RIGABYTEJVM
echo java $RIGABYTEJVM $RIGABYTEDEBUG -classpath $RIGABYTECLASSPATH com.rigabyte.server.EmbeddedTomcat $1

../jre/Contents/Home/bin/java $RIGABYTEJVM $RIGABYTEDEBUG -classpath $RIGABYTECLASSPATH com.rigabyte.server.EmbeddedTomcat $1