<%@page import="com.rigabyte.http.user.AccessRistrictionUtil"%>

<%@ taglib uri="http://jawr.net/tags" prefix="jwr"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%
if(AccessRistrictionUtil.isSuperAdmin(request))
{
	pageContext.setAttribute("superAdmin",Boolean.TRUE);	
}
else
{
	pageContext.setAttribute("superAdmin",Boolean.FALSE);
}
%>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<jsp:include page="../common/staticIncludes_js.jsp" />
<!-- DataTables CSS -->
<link rel="stylesheet" type="text/css" href="/js/DataTables-1.10.4/media/css/jquery.dataTables.css">

<title>Cache</title>

</head>
<body>
<c:if test="${superAdmin==true}">
<button id="reloadStat">Reload</button>
<div id="dataContainer">
<jsp:include page="cacheStats.jsp"/>
</div>
<!-- DataTables -->
<script type="text/javascript" charset="utf8" src="/js/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>


	<script type="text/javascript">
		$(document).ready(function() {
			$('.cacheStats').DataTable({
		        "paging":   false,
		        "ordering": true,
		        "info":     false,
		        "order": [[ 1, "desc" ]]
		    } );

			
		$('#reloadStat').click(function(){
			
			$.get('/admin/cacheStats.jsp',function(data){
				
				$('#dataContainer').append(data);
			});
		});	
			
		
		
		});
	</script>
</c:if>
<c:if test="${superAdmin==false}">
Access not allowed.
</c:if>
</body>
</html>


