<%@page import="com.rigabyte.data.util.Configuration"%>
<%@page import="com.rigabyte.data.parser.DataListenerIdleChecker"%>
<%@page import="com.rigabyte.data.hub.datalistener.DataListener"%>


<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://jawr.net/tags" prefix="jwr" %>

<%
Configuration config1=Configuration.getInstance();
pageContext.setAttribute("config", config1);

DataListenerIdleChecker checker=DataListenerIdleChecker.getInstance();
pageContext.setAttribute("idleChecker", checker);
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<jwr:script src="/jawr/common.js"/> 
<jwr:script src="/jawr/agent.js"/>

<jwr:style src="/jawr/common.css"/>
<jwr:style src="/jawr/agent.css"/>


<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Rigabyte Agent</title>

</head>
<body>
	<div id="container">
		<h2>RigaByte Agent</h2>
	
	
	<button id="testDataSent">Run Agent Configuration Test</button><span>The Agent Configuration Test can be run to verify that data can be sent from the Agent to Rigabyte. </span>
	
	<div id="testResults">
		<p style="font-size: large;color:green;">
		Test successfully completed,<br/> Login to www.rigabyte.com<br/> Go to the 'Data' menu and you should be able to see 'Test RigaByte Agent Data Collection' created based on data 
		sent from the Agent, like in the image below.
		<br/>
		In case of issues, the logs should give more information.
		</p>
		<img src="/images/help/testDataCollection.png"/>
	</div>
	
	<div class="tableCap">Configuration</div>
	<table id="configTable">
		<tr>
			<th>Property</th>
			<th>Value</th>
			<th>Configuration File</th>
		</tr>
		<tr>
			<td>defaultAuthToken</td><td class="authTokenTd">${config.defaultAuthToken}</td><td>bin/Configuration.datarelay.properties</td>
		</tr>
		<tr>
			<td>mainDataHubService</td><td>${config.mainDataHubService}</td><td>bin/Configuration.datarelay.properties</td>
		</tr>
		<tr>
			<td>Version</td><td>${config.agentVersion}</td><td></td>
		</tr>

	</table>

<div class="tableCap">Listeners</div>	
	<table id="listenerTable">
			<tr>
				<th>Listener Name</th>
				<th>Listener Port</th>
				<th>Data Parser</th>
				<th>Start Pattern</th>
				<th>Data Collection Name</th>
				<th>Messages Processed</th>
				<th>Data Reader Task</th>
				<th>Configuration File</th>
			</tr>
		<c:forEach items="${idleChecker.listeners}" var="listener">
			<tr>
				<td>
					${listener.listenerName}
				</td>
				<td>
					${listener.port}
				</td>
				<td>
					${listener.dataParserClass}
				</td>
				<td>
					${listener.startPattern}
				</td>
				<td>
					${listener.dataCollectionName}
				</td>
				<td>
					${listener.totalMessagesProcessed}
				</td>
				<td>
					${listener.dataReaderTaskClass}
				</td>
				<td>
					bin/DataListenerConfiguration.properties
				</td>
			</tr>
		</c:forEach>
	</table>
	
	</div>	
</body>
</html>

