<%@page import="java.util.List"%>
<%@page import="com.rigabyte.http.user.node.json.UserJson"%>
<%@page import="com.rigabyte.http.SearchUserState"%>
<%@page import="com.rigabyte.data.util.IndexUtil"%>
<%@page import="com.rigabyte.data.util.Configuration"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="data" uri="dataTags"%>
<%
//This is so that the SearchUserState object gets initialized for every page.
SearchUserState state=IndexUtil.getSearchUserState(request);
%>

<%
boolean isAdmin=state.getUser().getPermissions().isAdmin();
boolean isSuperAdmin=state.getUser().getPermissions().isSuperAdmin();
request.setAttribute("admin",new Boolean(isAdmin));
request.setAttribute("superAdmin",new Boolean(isSuperAdmin||state.isTempSuperAdmin()));
request.setAttribute("managedService",new Boolean(IndexUtil.isManagedService(request)));
request.setAttribute("enterpriseTrial",new Boolean(IndexUtil.isTrialVersion()));
request.setAttribute("enterpriseVersion",new Boolean(IndexUtil.isEnterpriseVersion()));

String requestCount=request.getParameter("requestCount");
if(requestCount!=null)
{
	pageContext.setAttribute("requestCount",new Integer(Integer.parseInt(requestCount)));
}
else
{
	pageContext.setAttribute("requestCount",new Integer(state.getLastRequestCount()));	
}


%>




<jsp:include page="/common/versionInfo.jsp" />
<data:cloud>
	<jsp:include page="/cloud/common/googleAnalytics.jsp" />
</data:cloud>
<jsp:include page="/cloud/common/cloudGlobalNavigation.jsp" />

<div id="globalNavigation">

	<c:choose>
		<c:when test="${param.menu=='data'}">
			<a href="/datapages/data.jsp"  id="global-menu-data" class="gnav-menu  selectedGnav">Data</a>
		</c:when>
		<c:otherwise>
			<a href="/datapages/data.jsp"  id="global-menu-data" class="gnav-menu">Data</a>
		</c:otherwise>
	</c:choose>

	<c:choose>
		<c:when test="${param.menu=='search'}">
			<a href="/?requestCount=${requestCount}"  id="global-menu-search" class="gnav-menu selectedGnav">Search</a>
		</c:when>
		<c:otherwise>
			<a href="/?requestCount=${requestCount}"  id="global-menu-search" class="gnav-menu">Search</a>
		</c:otherwise>
	</c:choose>

	<c:choose>
		<c:when test="${param.menu=='report'}">
			<a href="/reports/report.jsp"  id="global-menu-reports" class="gnav-menu selectedGnav">Reports</a>
		</c:when>
		<c:otherwise>
			<a href="/reports/report.jsp"  id="global-menu-reports" class="gnav-menu">Reports</a>
		</c:otherwise>
	</c:choose>

	<c:choose>
		<c:when test="${param.menu=='dash'}">
			<a href="/dashboard/dashboard.jsp"  id="global-menu-dashboard" class="gnav-menu selectedGnav">Dashboard</a>
		</c:when>
		<c:otherwise>
			<a href="/dashboard/dashboard.jsp"  id="global-menu-dashboard" class="gnav-menu">Dashboard</a>
		</c:otherwise>
	</c:choose>
</div>
<c:if test="${superAdmin==true}">
	<div class="superAdminBar" style="clear: both;">
		<a class="button" href="/admin/admin.jsp">Admin Page</a>
		<span>Note that you are logged in with super admin privileges.</span>
	</div>
</c:if>

