<%@page import="com.rigabyte.data.util.Configuration"%>
<%@page import="com.rigabyte.data.util.Constants"%>
<%@page import="com.rigabyte.data.util.IndexUtil"%>
<%@page import="java.net.URLEncoder"%>
<%@page import="com.rigabyte.http.user.node.dashboard.json.DashboardJson"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@page import="com.rigabyte.http.user.node.dashboard.client.DashboardManagerClient"%>
<%@page import="com.rigabyte.http.user.node.dashboard.DashboardUtil"%>
<%@page import="java.util.List"%>
<%@page import="com.rigabyte.http.user.node.json.UserJson"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%

	Boolean report=(Boolean)request.getAttribute("report");
	List<DashboardJson> dashboards=null;
	String dashboardId=request.getParameter("id");
	
	if(report!=null && report.equals(Boolean.TRUE))
	{
		dashboards=DashboardManagerClient.getAllDashboardsWithAuthCheck(request,true);
		if(dashboardId==null)
		{
			if(dashboards!=null && !dashboards.isEmpty())
			{
				String reportIdSession=(String)session.getAttribute(Constants.REPORT_ID_SESSION);
				UserJson user=UserManagerClient.getCurrentUser(request,true);
				List<String> reportIds=user.getReportIdList();
				if(reportIdSession!=null && reportIds.contains(reportIdSession))
				{
					dashboardId=reportIdSession;
				}
				else
				{
					dashboardId=reportIds.get(0);	
				}
			}
		}
	}
	else
	{
		dashboards=DashboardManagerClient.getAllDashboardsWithAuthCheck(request,false);
		
		if(dashboardId==null)
		{
			if(dashboards!=null && !dashboards.isEmpty())
			{
				String dashboardIdSession=(String)session.getAttribute(Constants.DASHBOARD_ID_SESSION);
				UserJson user=UserManagerClient.getCurrentUser(request,true);
				 List<String> dashboardIds=user.getDashboardIdList();

				if(dashboardIdSession!=null && dashboardIds.contains(dashboardIdSession))
				{
					dashboardId=dashboardIdSession;
				}
				else
				{
					dashboardId=dashboardIds.get(0);	
				}
			}
		}
	}
	pageContext.setAttribute("dashboards",dashboards);
	pageContext.setAttribute("dashboardId",dashboardId);
	

	
	String organizationId=DashboardManagerClient.getOrganizationWithAuthCheck(request).getId();
	
	String authURL=DashboardUtil.getAuthForDashboard(dashboardId,organizationId);
	authURL=URLEncoder.encode(authURL, "UTF-8");
	String requestURL=request.getRequestURL().toString();
	if(requestURL.indexOf("auth=")==-1)
	{
		if(requestURL.indexOf("?")==-1)
		{
			requestURL=requestURL+"?";
		}
			
		authURL=requestURL+"&auth="+authURL;
	}
	else
	{
		authURL=requestURL;
	}
	
	pageContext.setAttribute("authURL",authURL);
	
	
%>

	<%--<c:if test="${empty param.fullScreen || param.fullScreen!=true}"> --%>
	
		<div id="dashboardOptions">
			<c:if test="${not empty dashboards}">
			<select name="selectDashboard" id="selectDashboard">
				<c:forEach items="${dashboards}" var="dashboard">
					<c:choose>
						<c:when test="${dashboardId!=null && dashboardId == dashboard.id}">
							<option value="<c:out value="${dashboard.id}"/>" selected="selected"><c:out value="${dashboard.name}" /></option>
						</c:when>
						<c:otherwise>
							<option value="<c:out value="${dashboard.id}"/>"><c:out value="${dashboard.name}" /></option>
						</c:otherwise>
					</c:choose>
				</c:forEach>
			</select>

				<button type="button" id="settings_button">Settings</button>
				<button type="button" id="reorder_opt_button">Reorder</button>
				<button type="button" id="full_screen">Full Screen</button>
				<button type="button" id="delete_dashboard">Delete</button>
			
				<span id="sharable_url"><label for="dashboard_url">Shareable URL:</label><input type="text" id="dashboard_url" name="dashboard_url" value="${authURL}"/></span>
				<span id="refresh_time"></span>			
			</c:if>
			<c:if test="${empty dashboards}">
				<c:if test="${report==true}">No reports created</c:if><c:if test="${report==false}">No dashboards created</c:if>
			</c:if>
			<div id="contactSupport3"><span class="contactSupportIcon"></span><span id="contactSupportTxt3"><a id="contactSupportLnk3" href="#">Contact Support</a></span></div>
		</div>
	<%--</c:if> --%>


