<%@page import="java.util.List"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.rigabyte.http.user.node.dashboard.DashboardUtil"%>
<%@page import="com.rigabyte.http.user.node.dashboard.client.DashboardManagerClient"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@page import="com.rigabyte.http.user.node.dashboard.alerts.ChartInfoAlert"%>
<%@page import="com.rigabyte.http.user.node.dashboard.json.AlertInfoHolder"%>
<%@page import="com.rigabyte.http.user.node.dashboard.json.DashboardChartDataJson"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://jawr.net/tags" prefix="jwr" %>
<%@ taglib prefix="data" uri="dataTags"%>
<%

OrganizationJson currentOrganization=UserManagerClient.getCurrentOrganization(request,true);
String dashboardChartDataItemId=request.getParameter("chartdataId");
String chartInfoId=request.getParameter("chartInfoId");
DashboardChartDataJson dashChartDataJson=DashboardManagerClient.getDashboardChartDataJson(dashboardChartDataItemId,currentOrganization.getId());
AlertInfoHolder dcai=DashboardUtil.getDashboardChartAlertInfo2(dashChartDataJson,chartInfoId);
ChartInfoAlert alert=null;
if(dcai!=null)
{
	alert=dcai.getAlert();
}
pageContext.setAttribute("alert",alert);

String comparisonValue="100";
String comparsionType="GREATER_THAN";
String seconds="5";
String alertName=dcai.getChartDataJson().getMetaDataMap().get("chartInfoLabel");
if(alert!=null)
{
	comparisonValue=String.valueOf(alert.getComparisonValue());
	seconds=String.valueOf(alert.getIntervalInMillliseconds()/1000);
	comparsionType=alert.getComparsionType().name();
	if(!StringUtils.isEmpty(alert.getAlertName()))
	{
		alertName=alert.getAlertName();
	}
}

if(StringUtils.isEmpty(alertName))
{
	alertName="All Data";
}

pageContext.setAttribute("comparisonValue",comparisonValue);
pageContext.setAttribute("comparsionType",comparsionType);
pageContext.setAttribute("seconds",seconds);
pageContext.setAttribute("alertName",alertName);
%>


Alert Name: <input type="text" name="alertName" id="alertName" maxlength="80" value="${alertName}"/>
<p>
Alert if value
<select name="comparisonType" id="comparisonType">
	<c:if test="${comparsionType!='LESS_THAN'}">
	<option value="GREATER_THAN" selected="selected">greater than</option>
	<option value="LESS_THAN">less than</option>
	</c:if>
	<c:if test="${comparsionType=='LESS_THAN'}">
		<option value="GREATER_THAN">greater than</option>
		<option value="LESS_THAN" selected="selected">less than</option>
	</c:if>

</select>
<input type="text" name="comparisonValue" id="comparisonValue" maxlength="16" value="${comparisonValue}"  />
for an interval of
<input type="text" name="seconds" id="seconds" maxlength="4" value="${seconds}"/>
seconds.
</p>


<button id="save_alert">Save</button>
<button id="cancel_alert">Cancel</button>