<%@page import="com.rigabyte.http.user.node.dashboard.client.DashboardManagerClient"%>
<%@page import="com.rigabyte.http.user.node.dashboard.json.DashboardJson"%>
<%@page import="java.util.List"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %> 
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<%
	String dashboardId=request.getParameter("id");
	DashboardJson dashboardJson=DashboardManagerClient.getDashboardWithAuthCheck(dashboardId,request);
	pageContext.setAttribute("dashboard",dashboardJson);
	List chartDataList=DashboardManagerClient.getDashboardChartDataJson(dashboardJson,request);
	pageContext.setAttribute("chartDatas",chartDataList);
%>


<div id="dashBoardNameId">
	<label for="dashBoardName_txt">Name</label> <input type="text" name="dashBoardName" id="dashBoardName_txt" value="${dashboard.name}"/>
</div>

<div id="settings_display_legend">
<label for="displayChartLegend">Display chart legend</label>
	<c:if test="${dashboard.displayLegend == true}">
		<input type="checkbox" id="display_legend_check" value="true" checked="checked"/>
	</c:if>
	<c:if test="${dashboard.displayLegend == false}">
		<input type="checkbox" id="display_legend_check" value="false"/>
	</c:if>
</div>

<div id="dashboard_select_cols">
	<label for="numColumns">Graphs per row</label> <select name="numColumns" id="numColumns">
		<c:forEach begin="1" end="4" varStatus="loop">
			 	<c:choose>
			 		<c:when test="${loop.index==dashboard.numColumns}">
			 			<option value="<c:out value="${loop.index}"/>" selected="selected"><c:out value="${loop.index}"/></option>
			 		</c:when>
			 		<c:otherwise>
			 			<option value="<c:out value="${loop.index}"/>"><c:out value="${loop.index}"/></option>
			 		</c:otherwise>
			 	</c:choose>
		</c:forEach>
	</select>
</div>
<c:if test="${fn:length(chartDatas) gt 0}">
<div id="sortableDiv">
		<label for="sortable">Reorder - (drag to reorder)</label>
		<ul id="sortable">
			<c:forEach items="${chartDatas}" var="dashboardChartData">
				<li class="ui-state-default" id="${dashboardChartData.id}"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span>${dashboardChartData.name}</li>
			</c:forEach>
		</ul>
</div>
</c:if>
<button id="save_settings_button">Save</button>