<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="java.util.List"%>
<%@page import="com.rigabyte.data.pattern.StartPatternManager"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>

<%
	StartPatternManager manager=StartPatternManager.getInstance();
OrganizationJson currentOrganization=UserManagerClient.getCurrentOrganization(request,true);
List<String> startPatterns=manager.getStartPatternForSelection(currentOrganization);
	pageContext.setAttribute("startPatterns",startPatterns);

%>

<div id="validate_start_pattern_dialog">
<div id="validate_start_pattern_desc">Determine start pattern so that each log entry can be uniquely identified for processing</div>
<div id="validate_start_pattern_buttons" class="seperator">
 
	<div id="selPattern"> 
<span class="start_pattern__button_label">Start Pattern:</span>  
	<select id="patternSelection">
		<c:forEach items="${startPatterns}" var="pattern">
			 <option value='<c:out value="${pattern}"/>'><c:out value="${pattern}"/></option>
		 </c:forEach>
    </select>
    </div>
	<div id="validateButtons">
	    <button id="validate">Check Pattern</button>
			<div id="contactSupport3">
				<span class="contactSupportIcon"></span>
				<span id="contactSupportTxt3">
					<a id="contactSupportLnk3" href="#">Contact Support</a>
				</span>
			</div>
			<div id="patternHelp">
				<span class="helpIcon"></span>
				<span id="patternHelpTxt3"><a id="patternHelpLnk3"
					href="#">Help With Patterns</a>
				</span>
			</div>
		<button id="validate_next">Next</button>	
	</div>
</div>

<div id="validate_start_pattern_content">
</div>

</div>