	//Manager class that has responsibility of coordinating actions.
	function AdvancedNearbySearchDialog(communicationsManager,eventListener)
	{
		this.communicationsManager=communicationsManager;
		this.eventListener=eventListener;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: 480,
				  minHeight:400,
				  resizable: false
			};
		$('#addNewDataCollectionDialog').dialog(dialogOptions);
	}
	

	AdvancedNearbySearchDialog.prototype.initialize=function ()
	{

	};
	
	AdvancedNearbySearchDialog.prototype.hideDialog=function ()
	{
		$('#addNewDataCollectionDialog').dialog('close');
	};
	
	AdvancedNearbySearchDialog.prototype.showDialog=function (params)
	{
		var advancedNearbySearchDialog=this;
		advancedNearbySearchDialog.params=params;
		$("#addNewDataCollectionDialog").html("");
		$("#addNewDataCollectionDialog").load('/dialog/advancedNearBySearchDialog.jsp?chartInfoId='+params.chartInfoId, function() {
			$(this).dialog("option", "title","Select Data Source.");
			$("#near_by_search_selectall").click(function(){
				$('.nearyByCheck').prop("checked",true);
			});
			
			$("#near_by_search_selectnone").click(function(){
				$('.nearyByCheck').prop("checked",false);
			});
			
			$("#near_by_search_ok").click(advancedNearbySearchDialog.handleDoAdvancedNearBySearchClick());

			$("#near_by_search_cancel").click(function(){
				advancedNearbySearchDialog.hideDialog();
			});
			
		});

		
		$('#addNewDataCollectionDialog').dialog('open');
	};
		
	AdvancedNearbySearchDialog.prototype.handleDoAdvancedNearBySearchClick=function ()
	{
		var addNewDataCollectionDialog=this;
		return function(event) {
			var selectedDSIds=$('.nearyByCheck:checked').map(function() {return this.value;}).get().join(',');
			addNewDataCollectionDialog.params.selectedDSIds=selectedDSIds;
			addNewDataCollectionDialog.eventListener.nearByLogRequestAdvancedNotification(addNewDataCollectionDialog.params);
			addNewDataCollectionDialog.hideDialog();
		};
	};


	
	AdvancedNearbySearchDialog.prototype.handleCreateDataCollectionResponse=function (addNewDataCollectionDialog)
	{
		return function(data)
		{
			
			if(data.error!=null)
			{
				advancedNearbySearchDialog.eventListener.displayMessage(data.message,true,6000);
			}
			else
			{
				advancedNearbySearchDialog.eventListener.displayMessage(data.message,false,3000);
				
			}
			location.reload();
			
		};
		
		
	};

	
		