	//Manager class that has responsibility of coordinating actions.
	function DashboardSettingsDialog(communicationsManager,eventListener)
	{
		this.communicationsManager=communicationsManager;
		this.eventListener=eventListener;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: 480,
				  minHeight:280,
				  resizable: false
			};
		$('#dashboardSettingsDialog').dialog(dialogOptions);
	}
	

	DashboardSettingsDialog.prototype.initialize=function ()
	{

	};
	
	DashboardSettingsDialog.prototype.hideDialog=function ()
	{
		$('#dashboardSettingsDialog').dialog('close');
	};
	
	DashboardSettingsDialog.prototype.showDialog=function ()
	{
		var dashboardSettingsDialog=this;
		var dashboardId=$("#selectDashboard").val();
		$("#dashboardSettingsDialog").html("");
		$("#dashboardSettingsDialog").load('/dashboard/dialog/dashboardSettings.jsp?id='+dashboardId, function() {
			$(this).dialog("option", "title","Dashboard Settings");
			$("#save_settings_button").click(dashboardSettingsDialog.handleSaveSettings(dashboardSettingsDialog));
			$("#sortable").sortable();
		});

		
		$('#dashboardSettingsDialog').dialog('open');
	};
		
	DashboardSettingsDialog.prototype.handleSaveSettings=function (dashboardSettingsDialog)
	{
		return function(event) {
			
			var dashboardId=$('#selectDashboard').val();
			var name=$('#dashBoardName_txt').val();
			var numColumns=$('#numColumns').val();
			var legend=$('#display_legend_check').prop('checked');
			
			var numChartDatas=$('#sortable > li').size();
			var chartDataItemIds=null;
			if(numChartDatas>0)
				{
					chartDataItemIds=$('#sortable').sortable("toArray");	
				}
			else
				{
					chartDataItemIds=[];
				}
			
			dashboardSettingsDialog.hideDialog();
			dashboardSettingsDialog.communicationsManager.saveSettings(name,dashboardId,numColumns,chartDataItemIds,legend,dashboardSettingsDialog);
			
			event.preventDefault();
		};
	};

	DashboardSettingsDialog.prototype.handleSaveSettingsResponse=function (dashboardSettingsDialog)
	{
		return function(data)
		{
			location.reload();	
		};
		
		
	};

	
		