	//Manager class that has responsibility of coordinating actions.
	function AddNewDataCollectionDialog(communicationsManager,eventListener)
	{
		this.communicationsManager=communicationsManager;
		this.eventListener=eventListener;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: 380,
				  minHeight:220,
				  resizable: false
			};
		$('#newDataCollectionDialogHolder').dialog(dialogOptions);
	}
	

	AddNewDataCollectionDialog.prototype.initialize=function ()
	{

	};
	
	AddNewDataCollectionDialog.prototype.hideDialog=function ()
	{
		$('#newDataCollectionDialogHolder').dialog('close');
	};
	
	AddNewDataCollectionDialog.prototype.showDialog=function ()
	{
		var addNewDataCollectionDialog=this;
		$("#newDataCollectionDialogHolder").html("");
		$("#newDataCollectionDialogHolder").load('/dialog/newDataCollectionDialog.jsp', function() {
			$(this).dialog("option", "title","Add New Data Collection");
			$("#add_datacol_dialog").click(addNewDataCollectionDialog.handleCreateDataCollection(addNewDataCollectionDialog));
			$("#cancel_datacol_dialog").click(addNewDataCollectionDialog.handleCancel(addNewDataCollectionDialog));
			
		});

		
		$('#newDataCollectionDialogHolder').dialog('open');
	};
		
	AddNewDataCollectionDialog.prototype.handleCreateDataCollection=function (addNewDataCollectionDialog)
	{
		return function(event) {
			
			var dataCollectionName=$('#dataCollectionName').val();
			addNewDataCollectionDialog.hideDialog();
			addNewDataCollectionDialog.communicationsManager.createDataCollection(dataCollectionName,addNewDataCollectionDialog);
			event.preventDefault();
		};
	};

	AddNewDataCollectionDialog.prototype.handleCancel=function (addNewDataCollectionDialog)
	{
		return function(event) {
			
			addNewDataCollectionDialog.hideDialog();
			event.preventDefault();
		};
	};

	
	AddNewDataCollectionDialog.prototype.handleCreateDataCollectionResponse=function (addNewDataCollectionDialog)
	{
		return function(data)
		{
			
			if(data.error!=null)
			{
				addNewDataCollectionDialog.eventListener.displayMessage(data.message,true,6000);
			}
			else
			{
				addNewDataCollectionDialog.eventListener.displayMessage(data.message,false,3000);
				
			}
			location.reload();
			
		};
		
		
	};

	
		