	//Manager class that has responsibility of coordinating actions.
	function ForgotPasswordDialog(communicationManager,eventListener)
	{
		this.eventListener=eventListener;
		this.communicationManager=communicationManager;
		this.logEntry=null;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				  height: 'auto',
				  minWidth: 480,
				  minHeight:280,
				  resizable: false,
				  title:'Forgot Password'
			};
		$('#forgotPasswordDialog').dialog(dialogOptions);
	};


	ForgotPasswordDialog.prototype.initialize=function ()
	{

	};
	
	ForgotPasswordDialog.prototype.hideDialog=function ()
	{
		$('#forgotPasswordDialog').dialog('close');
	};
	
	ForgotPasswordDialog.prototype.showDialog=function ()
	{
		var forgotPasswordDialog=this;
		$("#forgotPasswordDialog").html("");
		$("#forgotPasswordDialog").load('/dialog/forgotPasswordDialog.jsp', function() {
			$("#forgot_password_button").click(forgotPasswordDialog.handleForgotPasswordSubmit(forgotPasswordDialog));
		});

		
		$('#forgotPasswordDialog').dialog('open');
	};
		
	ForgotPasswordDialog.prototype.setTitle=function (title)
	{
		$('#forgotPasswordDialog').dialog('option','title',title);
	};
	
	ForgotPasswordDialog.prototype.handleForgotPasswordSubmit=function (forgotPasswordDialog)
	{
		return function(event) {
			
			
			var login=$("#forgot_login").val();
			
			forgotPasswordDialog.communicationManager.forgotPassword({login:login},forgotPasswordDialog);
			event.preventDefault();
		};
	};


	ForgotPasswordDialog.prototype.handleForgotPasswordSubmitResponse=function (forgotPasswordDialog)
	{
		return function(data)
		{
			
			if(data.error==false)
			{
				notifyUser("Message", data.message, 6000, false,'show');
				forgotPasswordDialog.hideDialog();
				
			}else
			{
				notifyUser("Error", data.message, 4000, true,'show');
			}
			
		};
		
	};

		
