	function ContactSupportManager()
	{
		this.communicationsManager=new CommunicationsManager();
		this.contactSupportForm=new ContactSupportForm(this,"_support");
		this.configuration={
				displayHeading:true,
				displayFromBox:true
		};
		this.initialText='Subject:\n\nSuggestions,Questions,Report Bug etc\n\n\n\n\n\n\n\n\n\n\n\n\n\nPhone(Optional):';
	}

	ContactSupportManager.prototype.initialize=function()
	{
		
		this.contactSupportForm.displayContactSupportForm('#support_container1', this.configuration,null,this.initialText);
	};


	
	$(document).ready(function() {

		var contactSupportManager=new ContactSupportManager();
		contactSupportManager.initialize();
	});

	ContactSupportManager.prototype.handleValidationFailure=function(message)
	{
		notifyUser("Error", message, 3000,true);
	};

	
	ContactSupportManager.prototype.handleSendingMessageNotification=function(message)
	{
		notifyUser("Message", message, 3000,false);
	};

	
	ContactSupportManager.prototype.handleMessageSentNotificationSuccess=function(message)
	{
		notifyUser("Message", message, 5000,false);
		this.contactSupportForm.displayContactSupportForm('#support_container1', this.configuration,null,this.initialText);
	};

	