	function ContactSupportFormDialog(communicationsManager,eventListener,supportFormId)
	{
		this.initialText='Subject:\n\nSuggestions,Questions,Report Bug etc\n\n\n\n\n\n\n\nPhone(Optional):';
		this.communicationsManager=communicationsManager;
		this.eventListener=eventListener;
		var dialogOptions={
				modal: true,
				autoOpen:false,
				title:'Contact Support',
				  height: 'auto',
				  minWidth: 840,
				  minHeight:500,
				  resizable: false
			};
		$('#contactSupportContainer_dialog').dialog(dialogOptions);
		this.messageAddendum='';
		this.contactSupportForm=new ContactSupportForm(eventListener,supportFormId);
	}
	

	ContactSupportFormDialog.prototype.initialize=function ()
	{

	};

	ContactSupportFormDialog.prototype.setInitialText=function (initialText)
	{
		this.initialText=initialText;
	};

	ContactSupportFormDialog.prototype.setMessageAddendum=function (messageAddendum)
	{
		this.messageAddendum=messageAddendum;
	};

	
	ContactSupportFormDialog.prototype.hideDialog=function ()
	{
		$('#contactSupportContainer_dialog').dialog('close');
	};
	
	ContactSupportFormDialog.prototype.showDialog=function ()
	{
		var contactSupportConfig={
				displayHeading:true,
				displayFromBox:true
		};
		this.contactSupportForm.displayContactSupportForm('#contactSupportContainer_dialog', contactSupportConfig,this.messageAddendum,this.initialText);

		$('#contactSupportContainer_dialog').dialog('open');
		
	};

		

	
		