<%@page import="com.rigabyte.data.util.Configuration"%>
<%@page import="com.rigabyte.http.user.node.dashboard.DashboardUtil"%>
<%@page import="com.rigabyte.http.user.node.dashboard.json.DashboardJson"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%
Configuration configuration=Configuration.getInstance();
DashboardJson dashboardJson=DashboardUtil.getSelectedReportForLogEntryMenu(request);
if(dashboardJson!=null)
{
	pageContext.setAttribute("selectedReportId",dashboardJson.getId());
	String dashName=dashboardJson.getName();
	if(dashName!=null && dashName.length()>12)
	{
		dashName=dashName.substring(0,12);
	}
	pageContext.setAttribute("selectedReportName",dashName);
}

if(configuration.isLogDataDescendingOrder())
{
	pageContext.setAttribute("logDataDescendingOrder",Boolean.TRUE);
}
else
{
	pageContext.setAttribute("logDataDescendingOrder",Boolean.FALSE);	
}

%>


<div id="logDataEntryMenu">
<div id="swatches">
<span id="swatch1" class="menubox"  title="Flag data and save flagged state."><input name="swatch1" type="hidden" value="#E0F2F7"/></span>
<span id="swatch2" class="menubox"  title="Flag data and save flagged state."><input name="swatch2" type="hidden" value="#E0F8E0"/></span>
<span id="swatch3" class="menubox" title="Flag data and save flagged state."><input name="swatch3" type="hidden" value="#F8E0E0"/></span>
<span id="swatch4" class="menubox" title="Clear Flags"><input name="swatch4" type="hidden" value="#FFFFFF"/></span>
</div>
<div id="otherDataEntryMenu">
<c:if test="${logDataDescendingOrder==true}">
<span id="nearafter" class="menubox"    titleText="Get entries before from:"></span>
<span id="nearbefore" class="menubox" titleText="Get entries after from:"></span>
<span id="nearafterall" class="menubox" titleText="Get entries before - Select data source."></span>
<span id="nearbeforeall" class="menubox" titleText="Get entries after - Select data source."></span>
</c:if>
<c:if test="${logDataDescendingOrder==false}">
<span id="nearbefore" class="menubox"    titleText="Get entries before from:"></span>
<span id="nearafter" class="menubox" titleText="Get entries after from:"></span>
<span id="nearbeforeall" class="menubox" titleText="Get entries before - Select data source."></span>
<span id="nearafterall" class="menubox" titleText="Get entries after - Select data source."></span>
</c:if>

<span id="save2" class="menubox" title="Save current to Report"></span>	
<span id="close2" class="menubox" title="Clear related results."></span>
</div>
<div id="selectedReport">
<%--Note that the current selectedReportId is obtained based on addToReportId cookie that is set when a log entry is added to a report. --%>
<%--Cookie is set in the addLogEntryToReportDialog.js --%>
<c:if test="${not empty selectedReportId }">
	<input id="selectedReportId" type="hidden" name="selectedReportId" value="${selectedReportId}"/>
	<input id="selectedReportNameInput" type="hidden" name="selectedReportNameInput" value="${selectedReportName}"/>
	<div id="selectedRep">
		<span id="selectedReportName">${selectedReportName}</span><span id="selectedReportClose"></span>
	</div>
</c:if>
</div>

</div>