<%@page import="com.rigabyte.http.user.node.json.UserJson"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>
<%@page import="com.rigabyte.data.util.IndexUtil"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@page import="com.rigabyte.http.user.node.client.UserNodeServiceClient"%>
<%@page import="com.rigabyte.http.SearchUserState"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%
SearchUserState state=IndexUtil.getSearchUserState(request);
UserJson user=state.getUser();
//A bug with tomcat will cause a compiler error if the variable is named org.
OrganizationJson org1=UserManagerClient.getCurrentOrganization(request,true);
String id=request.getParameter("formId");
if(id==null)
{
	id="_default";
}
pageContext.setAttribute("user", user);
pageContext.setAttribute("organization", org1);
pageContext.setAttribute("formId", id);

request.setAttribute("enterpriseTrial",new Boolean(IndexUtil.isTrialVersion()));
request.setAttribute("enterpriseVersion",new Boolean(IndexUtil.isEnterpriseVersion()));

%>

<div id="supportForm${formId}" class="supportForm">
	<input type="hidden" name="isAnonymous" value="${user.anonymousUser}"/>
	<input type="hidden" name="userId" value="${user.persistanceId}"/>
	<input type="hidden" name="organizationId" value="${organization.id}"/>
	<c:if test="${param.displayHeading==true}">
		<div id="contactSupportHeadingSection${formId}"><span class="contactSupportHeading">Contact Support</span></div>
	</c:if>

	<c:if test="${enterpriseTrial==false}">
		<c:if test="${param.displayFromBox==true}">
			<div id="fromSection${formId}">
				<label id="fromEmailLabel${formId}">Your email: </label>
				<c:if test="${user.anonymousUser==false}">
					<input type="text" name="fromEmail" id="fromEmailText${formId}" maxlength="100" placeholder="Your email address for support to reply back." value="${user.email}"/>
				</c:if>
				<c:if test="${user.anonymousUser==true}">
					<input type="text" name="fromEmail" id="fromEmailText${formId}" maxlength="100" placeholder="Your email address for support to reply back." />
				</c:if>
			</div>
		</c:if>
		<div id="emailMessageContainer${formId}">
			<textarea name="emailMessage" maxlength="10000" id="emailMessageTextArea${formId}" >
			</textarea>
		</div>
		<div id="containerSendMessageButton${formId}">
		<button id="sendMessageButton${formId}">Send</button>
		</div>
	</c:if>
		<c:if test="${enterpriseTrial==true}">
			<p style="width:100%;margin:20px;font-size:large;">email <b>support@rigabyte.com</b> for any queries, suggestions, bug reports, help setting up a new environment etc</p>
			
			<p style="width:100%;margin:20px;font-size:large;">Go to <a href="http://www.rigabyte.com/support">www.rigabyte.com/support</a> for more information.</p>
			
			<jsp:include page="/common/rigabyteEnterprise.jsp"></jsp:include>
		</c:if>
</div>
