<%@page import="com.rigabyte.data.util.Configuration"%>
<%@page import="com.rigabyte.http.user.node.json.UserJson"%>
<%@page import="com.rigabyte.http.SearchUserState"%>
<%@page import="com.rigabyte.data.util.IndexUtil"%>
<%@ taglib uri="http://jawr.net/tags" prefix="jwr" %>
<%@ taglib prefix="data" uri="dataTags"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<jsp:include page="/common/staticIncludes_css.jsp" />
<jsp:include page="/common/staticIncludes_js.jsp" />
<script src='https://www.google.com/recaptcha/api.js'></script>
<jwr:style src="/jawr/login.css"/>

<title>Login or Register</title>
<jsp:include page="/common/smoothPageLoad.jsp"/>
</head>

<%
Configuration configuration=Configuration.getInstance();
SearchUserState state=IndexUtil.getSearchUserState(request);
UserJson user=state.getUser();
pageContext.setAttribute("currentUser", user);
pageContext.setAttribute("captcha", Boolean.valueOf(configuration.isUseCaptchaOnLoginRegister()&& !IndexUtil.isManagedService(request)));
%>


<body>
	<script type="text/javascript">
		<c:if test="${currentUser.anonymousUser==false}">
		window.location = '/user/my_account.jsp';
		</c:if>
		var useCaptcha=<%=configuration.isUseCaptchaOnLoginRegister() && !IndexUtil.isManagedService(request)%>;
	</script>

	<jsp:include page="/common/globalNavigation.jsp" />

	<c:forEach var="entry" items="${requestScope['errorMap']}">
		Error: <c:out value="${entry.value}" />
	</c:forEach>

<div class="seperation"><span class="sepTitle">Login/Register</span></div>

<div id="containerLogin">
	<div id="alignlogin"><h2>Log In</h2>
		<div id="loginFormContainer">
		</div>
    </div>

 	<c:if test="${enterpriseVersion==false}"> 
 	<div id="alignregister"><h2>Register</h2>
 	

				<div id="userFormContainer">
				</div>
		<c:if test="${captcha==true}">
	    	<div id="loginCaptcha" class="g-recaptcha" data-sitekey="6LcAKgETAAAAAATdVv4_DlJRfWFxUCOWTVxglgLH"></div>
	    </c:if>
	    <div id="contactSupport3"><span id="contactSupportTxt3"><a id="contactSupportLnk3" href="#">Contact Support</a></span></div>
    </div>
    </c:if>
   	<c:if test="${enterpriseVersion==true}"> 
 		<div id="alignregister">
 			<p style="width:500px;margin-top:100px;font-size:xx-large;">The default user is <b>'heisenberg'</b> and default password is <b>'12345678'</b>. You can change the password after login.</p>
 		</div>
   	</c:if>
 	
 </div>
 
 



<div id="forgotPasswordDialog"></div>
<div id="contactSupportContainer_dialog"></div>

<jwr:script src="/jawr/login.js"/>
<data:cloud>
	<jsp:include page="/common/chatApplication.jsp"></jsp:include>
</data:cloud>

</body>
</html>
