<%@page import="com.rigabyte.http.user.node.json.UserJson"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>
<%@page import="com.rigabyte.data.util.IndexUtil"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@page import="com.rigabyte.http.user.node.client.UserNodeServiceClient"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%
UserJson user=null;
OrganizationJson org2=UserManagerClient.getCurrentOrganization(request,false);
String userId=request.getParameter("userId");

if(userId!=null)
{
	user=UserNodeServiceClient.getUser(userId,org2.isAnonymous(),false).getUserJsons().get(0);
}
else
{
	//If no useId is passed, use a empty user.
	user=new UserJson();
	user.getPermissions().setAdmin(false);
}

if((user.getPermissions().isAdmin() && user.isInternalUser()==false) || user.isAnonymousUser()==true)
{
	pageContext.setAttribute("companyInput", "");	
}else
{
	pageContext.setAttribute("companyInput", "disabled");
}

pageContext.setAttribute("user", user);
pageContext.setAttribute("organization", org2);
pageContext.setAttribute("notAccessableDCList", IndexUtil.getSearchIndexesJsonsNotAccessableToUser(user,org2));
pageContext.setAttribute("accessableDCList", IndexUtil.getSearchIndexesAccessableByUser(user,org2));
%>

		<c:if test="${param.basicForm==true}">
			  	 <div id="basicInfo">
			              <label class="basicLabel" for="firstname"> First Name</label>
			              <input class="basicInput" type="text" name="firstName"  required id="firstname" value="${user.firstName}" maxlength="40"/>
			              <span class="inputError"></span>
			              <label class="basicLabel" for="lastname"> Last Name</label>
			              <input class="basicInput" type="text" name="lastName"  required id="lastname" value="${user.lastName}" maxlength="40"/>
			              <span class="inputError"></span>
			              <c:if test="${param.basicLogin==true}">
				              <label class="basicLabel" for="login">${param.basicLoginText}</label>
				              <c:if test="${param.readonlyLogin==true}">
				              	<input class="basicInput" type="text" name="login"  required id="login" value="${user.login}" maxlength="60" disabled="disabled" autocorrect="off" autocapitalize="off"/>
				              </c:if>
				              <c:if test="${param.readonlyLogin!=true}">
				              	<input class="basicInput" type="text" name="login"  required id="login" value="${user.login}" maxlength="60" autocorrect="off" autocapitalize="off"/>
				              </c:if>

				              <span class="inputError"></span>
			              </c:if>
			              <c:if test="${param.basicEmail==true}">
				              <label class="basicLabel" for="email"> Email</label>
				              <input class="basicInput" type="text" name="email" required id="email" value="${user.email}" maxlength="60" autocorrect="off" autocapitalize="off"/>
				              <span class="inputError"></span>
						  </c:if>
			              <label class="basicLabel" for="password"> Password</label>
			              <c:if test="${empty param.userId}">
			              	<input class="basicInput" type="password" name="password" required id="password" value="${user.password}" maxlength="18"/>
			              </c:if>
			              <c:if test="${not empty param.userId}">
			              	<input class="basicInput" type="password" name="password" required id="password" value="70a0A5a9" maxlength="18"/>
			              </c:if>
			         	 <span class="inputError"></span>
			              <c:if test="${param.superUserPassword==true}">
			               <label class="basicLabel" for="suPassword">Admin Password</label>
			              	<input class="basicInput" type="password" name="suPassword" required id="suPassword" value="" maxlength="18" placeholder="Administrator password "/>
			             	 <span class="inputError"></span>
			              </c:if>
			              
			              <c:if test="${param.basicCompany==true}">
			              <label class="basicLabel" for="company"> Company</label>
			              <c:if test="${empty param.userId}">
			              	<input class="basicInput" type="text" name="company" id="company" value="" maxlength="40" ${companyInput} autocorrect="off" autocapitalize="off"/>
			              </c:if>
			              <c:if test="${not empty param.userId}">
			              	<input class="basicInput" type="text" name="company" id="company" value="${organization.name}" maxlength="40" ${companyInput} autocorrect="off" autocapitalize="off"/>
			              </c:if>
			              
			              <span class="inputError"></span>
			              </c:if>
			              
			              <c:if test="${param.basicPhone==true}">
				              <label class="basicLabel" for="phone">Phone</label>
				              <input class="basicInput" type="text" name="phone" id="phone" value="${user.phone}" maxlength="16"/>
				              <span class="inputError"></span>
			              </c:if>
			  	</div>
		  </c:if>

		  <c:if test="${param.basicPerm==true}">
			  	 <div id="permBasicInfo">
			              <c:if test="${user.permissions.admin==true}">
			              	<input class="basicInputCheck" type="checkbox" name="adminUser"  id="adminUser" checked="checked"/>
			              </c:if>
			              <c:if test="${user.permissions.admin==false}">
			              	<input class="basicInputCheck" type="checkbox" name="adminUser"   id="adminUser"/>
			              </c:if>
			              <label class="basicLabelCheck" for="adminUser">Admin user<span class="basicHelp" title="Admin users can add or remove users, have access without any ristrictions."></span></label>

			              <c:if test="${user.permissions.addRemoveData==true}">
			              	<input class="basicInputCheck" type="checkbox" name="addRemoveData"   id="addRemoveData"  checked="checked"/>
			              </c:if>
			              <c:if test="${user.permissions.addRemoveData==false}">
			              	<input class="basicInputCheck" type="checkbox" name="addRemoveData"   id="addRemoveData"/>
			              </c:if>
			              <label class="basicLabelCheck" for="addRemoveData">Add or Remove Data<span class="basicHelp" title="User can add new data to the data collection or delete a data collection."></span></label>

			           	  <c:if test="${user.permissions.provideAccessToNewDataCollections==true}">
			              	<input class="basicInputCheck" type="checkbox" name="accessNewDC"   id="accessNewDC"  checked="checked"/>
			              </c:if>
			              <c:if test="${user.permissions.provideAccessToNewDataCollections==false}">
			              	<input class="basicInputCheck" type="checkbox" name="accessNewDC"   id="accessNewDC"/>
			              </c:if>
			              <label class="basicLabelCheck" for="accessNewDC">Automatic access to new data collections<span class="basicHelp" title="Any new data collection created in future is made automatically available to the user."></span></label>
			              
  				</div>
		  </c:if>
		  <c:if test="${param.permDC==true}">
			  	 <div id="permDCInfo">
						<div id="selectSection1">
							<label class="permDCLabel1">Assigned Data Collections<span class="basicHelp" title="Data collections that are assigned to the user, user will be able to search these data collections."></span></label>
							<select id="assignedDC"  size="10" multiple="multiple">
								<c:forEach items="${accessableDCList}" var="searchIndex">
									<option value="${searchIndex.id}">${searchIndex.name}</option>								
								</c:forEach>
							</select>
						</div>
						<div id="selectSection2">
							<button id="basicButtonAddAll" class="addRemButton">&larr;&nbsp;Add All</button>
							<button id="basicButtonAdd" class="addRemButton">&larr;&nbsp;Add</button>
							<button id="basicButtonRemove" class="addRemButton">Remove&nbsp;&rarr;</button>
							<button id="basicButtonRemoveAll" class="addRemButton">Remove All&nbsp;&rarr;</button>																					
						</div>
						<div id="selectSection3">
							<label class="permDCLabel2">Available Data Collections<span class="basicHelp" title="Data collections that are not yet assigned to the user."></span></label>
							<select id="availableDC"  size="10" multiple="multiple">
								<c:forEach items="${notAccessableDCList}" var="searchIndex">
									<option value="${searchIndex.id}">${searchIndex.name}</option>								
								</c:forEach>
							</select>
						</div>
  				</div>
		  </c:if>

           <div>
           	<c:if test="${empty param.userId}">
           		<c:if test="${empty param.submitButtonLabel}">
           			<button id="basicSubmitButtonCreate">Create new user</button>
           		</c:if>
           		<c:if test="${not empty param.submitButtonLabel}">
           			<button id="basicSubmitButtonCreate">${param.submitButtonLabel}</button>
           		</c:if>
           	</c:if>
           	<c:if test="${not empty param.userId}">

           		<c:if test="${empty param.submitButtonLabel}">
           			 <button id="basicSubmitButtonUpdate">Update</button>
           		</c:if>
           		<c:if test="${not empty param.submitButtonLabel}">
           			<button id="basicSubmitButtonUpdate">${param.submitButtonLabel}</button>
           		</c:if>
           	</c:if>
           </div>

