<%@page import="java.util.List"%>
<%@page import="com.rigabyte.http.user.node.json.UserJson"%>
<%@page import="com.rigabyte.http.user.node.json.OrganizationJson"%>
<%@page import="com.rigabyte.http.SearchUserState"%>
<%@page import="com.rigabyte.data.util.IndexUtil"%>
<%@page import="com.rigabyte.data.user.client.UserManagerClient"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://jawr.net/tags" prefix="jwr" %>
<%@ taglib prefix="data" uri="dataTags"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<jsp:include page="../common/staticIncludes_css.jsp" />
<jsp:include page="../common/staticIncludes_js.jsp" />

<jwr:style src="/jawr/userAndPerm.css"/>		
<title>User And Permissions</title>
<jsp:include page="/common/smoothPageLoad.jsp"/>
</head>

<%
SearchUserState state=IndexUtil.getSearchUserState(request);
UserJson user=state.getUser();
pageContext.setAttribute("currentUser", user);
OrganizationJson org=UserManagerClient.getCurrentOrganization(request,false);
pageContext.setAttribute("organization", org);
List<UserJson> users=UserManagerClient.getUsersForOrganization(org);
pageContext.setAttribute("users",users);
%>

<body>
	<script type="text/javascript">
		<c:if test="${currentUser.anonymousUser==true}">
		window.location = '/user/login_register.jsp';
		</c:if>
	</script>

	<c:if test="${currentUser.anonymousUser==false && currentUser.permissions.admin==true}">

		<jsp:include page="../common/globalNavigation.jsp" />
<div class="seperation"><span class="sepTitle">My Account - Manage Users</span></div>
		<div id="container">
		<button id="goBackToAccount">My Account</button>
			<div id="userListContainer">
				<label id="userListLabel" for="user_select">Users</label>
				<select size="11" id="user_select">
					<c:forEach items="${users}" var="user">
						
							<c:if test="${user.permissions.admin==true}">
								<option value="${user.persistanceId}">${user.login}</option>
							</c:if>
							<c:if test="${user.permissions.admin==false}">
								<option value="${user.persistanceId}">${user.login}</option>
							</c:if>
					</c:forEach>
				</select>
				<button id="create_user" class="userListFormButton">Add User</button>
				<button id="delete_user" class="userListFormButton">Delete User</button>
			</div>
			
			<div id="userFormContainer">
				
			</div>

		</div>
<div id="contactSupportContainer_dialog"></div>
	<jwr:script src="/jawr/userAndPerm.js"/>		
	</c:if>
<data:cloud>
	<jsp:include page="/common/chatApplication.jsp"></jsp:include>
</data:cloud>

</body>
</html>

